FileControllerUndoCheckOut Method (Guid, NullableGuid) |
POST /File/UndoCheckOut/{id}/
Discards the changes to the checked out file with the specified ID, and cancels the check out.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("UndoCheckOut")]
public IActionResult UndoCheckOut(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("UndoCheckOut")>
Public Function UndoCheckOut (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"UndoCheckOut")]
IActionResult^ UndoCheckOut(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("UndoCheckOut")>]
member UndoCheckOut :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file for which to undo the check out. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
UndoCheckOutResultData, or a status code indicating the reason for failure.
See Also